# $Revision: 1.10 $, $Date: 2005/12/31 10:36:33 $
Summary:	Criteria abstract queries
Summary(pl):	Criteria - abstrakcyjne zapytania
Name:		ruby-Criteria
Version:	1.1a
Release:	3
License:	GPL
Group:		Development/Languages
Source0:	http://mephle.org/Criteria/criteria-%{version}.tar.gz
# Source0-md5:	a39482fdf7bae7639791444dfb4d91ce
URL:		http://www.mephle.org/Criteria/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
#BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Criteria is a module for abstracting queries to various data sets. For
instance, you might have a flat text file, or an array of Ruby
objects, or a SQL database, and wish to perform the same query on any
given source, without different versions of code for each.

%description -l pl
Criteria to modu do abstrakcyjnych zapyta na rnych typach danych.
Na przykad, mona mie paski plik tekstowy lub tablic obiektw w
Rubym, albo baz SQL, i chcie wykona to samo zapytanie na dowolnym
rdle, bez tworzenia rnych wersji kodu dla kadego z nich.

%prep
%setup -q -n criteria-%{version}

%build
ruby install.rb config \
	--rb-dir=%{ruby_rubylibdir} \
	--so-dir=%{ruby_archdir}

rdoc -o rdoc --main README.en lib
rdoc --ri -o ri lib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir}}

ruby install.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc rdoc/*
%{ruby_rubylibdir}/criteria
%{ruby_rubylibdir}/criteria.rb
%{ruby_ridir}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-Criteria.spec,v $
Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.7  2005/12/27 09:26:26  twittner
- (B)R: s/ruby/ruby-modules/, rel. 3 (mass commit through script)

Revision 1.6  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.5  2004/08/26 16:21:40  havner
- rel 2

Revision 1.4  2004/08/26 01:13:59  aredridel
- ruby does not handle libdir properly on amd64.
- will be noarch again after Ruby is patched.

Revision 1.3  2004/08/19 05:52:12  aredridel
- added ri docs

Revision 1.2  2004/06/22 21:29:50  qboosh
- pl, cosmetics

Revision 1.1  2004/06/22 16:08:04  aredridel
- added
